*******************************************************
********************** DATA PATH **********************
*******************************************************

*** insert below the path to the folder where you copy the replication archive
*** in this path insert also the following files from the Data folder

global dir_data = 	"  "

use "$dir_data\Data\LTIM_inflows_placebo.dta", clear

//First table
reg l_all_reasons treat_post1 i.id i.time, vce(robust)
reg l_work_related treat_post1 i.id i.time, vce(robust)
reg l_family treat_post1 i.id i.time, vce(robust)
reg l_study treat_post1 i.id i.time, vce(robust)

sum all_reasons if EU == 1 & post_ref1 == 0 & date > 18322
sum work if EU == 1 & post_ref1 == 0 & date > 18322
sum family if EU == 1 & post_ref1 == 0 & date > 18322
sum study if EU == 1 & post_ref1 == 0 & date > 18322

// Different repetition

gen post_ref2 = 0
replace post_ref2 = 1 if time > 15
replace post_ref2 = . if time > 26
gen treat_post2 = post_ref2*EU

gen post_ref3 = 0
replace post_ref3 = 1 if time > 14
replace post_ref3 = . if time > 24
gen treat_post3 = post_ref3*EU

gen post_ref4 = 0
replace post_ref4 = 1 if time > 13
replace post_ref4 = . if time > 22
gen treat_post4 = post_ref4*EU

gen post_ref5 = 0
replace post_ref5 = 1 if time > 12
replace post_ref5 = . if time > 20
gen treat_post5 = post_ref5*EU

gen post_ref6 = 0
replace post_ref6 = 1 if time > 11
replace post_ref6 = . if time > 18
gen treat_post6 = post_ref6*EU

gen post_ref7 = 0
replace post_ref7 = 1 if time > 10
replace post_ref7 = . if time > 16
gen treat_post7 = post_ref7*EU

gen post_ref8 = 0
replace post_ref8 = 1 if time > 9
replace post_ref8 = . if time > 14
gen treat_post8 = post_ref8*EU

gen post_ref9 = 0
replace post_ref9 = 1 if time > 8
replace post_ref9 = . if time > 12
gen treat_post9 = post_ref9*EU

gen post_ref10 = 0
replace post_ref10 = 1 if time > 17
replace post_ref10 = . if time < 7
gen treat_post10 = post_ref10*EU

gen post_ref11 = 0
replace post_ref11 = 1 if time > 18
replace post_ref11 = . if time < 9
gen treat_post11 = post_ref11*EU

gen post_ref12 = 0
replace post_ref12 = 1 if time > 19
replace post_ref12 = . if time < 11
gen treat_post12 = post_ref12*EU

gen post_ref13 = 0
replace post_ref13 = 1 if time > 20
replace post_ref13 = . if time < 13
gen treat_post13 = post_ref13*EU

gen post_ref14 = 0
replace post_ref14 = 1 if time > 21
replace post_ref14 = . if time < 15
gen treat_post14 = post_ref14*EU

gen post_ref15 = 0
replace post_ref15 = 1 if time > 22
replace post_ref15 = . if time < 17
gen treat_post15 = post_ref15*EU

gen post_ref16 = 0
replace post_ref16 = 1 if time > 23
replace post_ref16 = . if time < 19
gen treat_post16 = post_ref16*EU

gen post_ref17 = 0
replace post_ref17 = 1 if time > 24
replace post_ref17 = . if time < 21
gen treat_post17 = post_ref17*EU


forval i = 1/17{
eststo a_`i': reg l_all_reasons EU post_ref`i' treat_post`i' i.id i.time, vce(robust)
}
forval i = 1/17{
label variable treat_post`i' "Placebo test `i'"

}

coefplot a a_1 a_2 a_3 a_4 a_5 a_6 a_7 a_8 a_9 a_10 a_11 a_12 a_13 a_14 a_15 a_16 a_17, keep(treat_post treat_post1 treat_post2 treat_post3 ///
treat_post4 treat_post5 treat_post6 treat_post7 treat_post8 treat_post9 treat_post10 treat_post11 treat_post12 treat_post13 treat_post14 ///
treat_post15 treat_post16 treat_post17) label xline(0)

forval i = 1/17{
eststo b_`i': reg l_work_related EU post_ref`i' treat_post`i' i.id i.time, vce(robust)
}

coefplot b b_1 b_2 b_3 b_4 b_5 b_6 b_7 b_8 b_9 b_10 b_11 b_12 b_13 b_14 b_15 b_16 b_17, keep(treat_post treat_post1 treat_post2 treat_post3 ///
treat_post4 treat_post5 treat_post6 treat_post7 treat_post8 treat_post9 treat_post10 treat_post11 treat_post12 treat_post13 treat_post14 ///
treat_post15 treat_post16 treat_post17) label xline(0)

//Heterogeneity between EU15 and new members

gen EU15 = 0
replace EU15 = 1 if Nationality == "European Union EU15" 
replace EU15 = . if  Nationality == "European Union EU8" |  Nationality == "European Union EU2" |  Nationality == "European Union Other"

gen EU_new = 0
replace EU_new = . if Nationality == "European Union EU15" 
replace EU_new = 1 if  Nationality == "European Union EU8" |  Nationality == "European Union EU2" |  Nationality == "European Union Other"

gen treat_post15 = EU15*post_ref1
label variable treat_post15 "EU15*post_ref"

gen treat_post_new = EU_new*post_ref1
label variable treat_post_new "EU_new*post_ref"


//EU 15

reg l_all_reasons treat_post15 i.id i.time, vce(robust)
reg l_work_related treat_post15 i.id i.time, vce(robust)
reg l_family treat_post15 i.id i.time, vce(robust)
reg l_study treat_post15 i.id i.time, vce(robust)

sum all_reasons if EU15 == 1 & post_ref1 == 0 & date > 18322
sum work if EU15 == 1 & post_ref1 == 0 & date > 18322
sum family if EU15 == 1 & post_ref == 0 & date > 18322
sum study if EU15 == 1 & post_ref == 0 & date > 18322

//EU new

reg l_all_reasons treat_post_new i.id i.time, vce(robust)
reg l_work_related treat_post_new i.id i.time, vce(robust)
reg l_family treat_post_new i.id i.time, vce(robust)
reg l_study treat_post_new i.id i.time, vce(robust)

sum all_reasons if EU_new == 1 & post_ref == 0 & date > 18322
sum work if EU_new == 1 & post_ref == 0 & date > 18322
sum family if EU_new == 1 & post_ref == 0 & date > 18322
sum study if EU_new == 1 & post_ref == 0 & date > 18322

