*******************************************************
********************** DATA PATH **********************
*******************************************************

*** insert below the path to the folder where you copy the replication archive
*** in this path insert also the following files from the Data folder

global dir_data = 	"  "

use "$dir_data\Data\LTIM_outflows_net_placebo.dta", clear

********************************************************************************
//OUTFLOWS
********************************************************************************

//First Table

reg l_outflow treat_post1 i.id i.time, vce(robust)
reg l_work treat_post1 i.id i.time, vce(robust)
reg l_study treat_post1 i.id i.time, vce(robust)
reg l_family treat_post1 i.id i.time, vce(robust)

//Heterogeneity between EU 15 and EU new

gen EU_old = 0
replace EU_old = 1 if Nationality == "European Union EU15"
replace EU_old = . if  Nationality == "European Union EU8" |  Nationality == "European Union EU2" |  Nationality == "Other European Union"


gen EU_new = 0
replace EU_new = . if Nationality == "European Union EU15" 
replace EU_new = 1 if  Nationality == "European Union EU8" |  Nationality == "European Union EU2" |  Nationality == "Other European Union"

gen post_EU_old = EU_old*post_ref1
gen post_EU_new = EU_new*post_ref1

label variable post_EU_old "EU*post_ref"
label variable post_EU_new "EU*post_ref"

reg l_outflow post_EU_old i.id i.time, vce(robust)
reg l_work post_EU_old i.id i.time, vce(robust)
reg l_study post_EU_old i.id i.time, vce(robust)
reg l_family post_EU_old i.id i.time, vce(robust)

reg l_outflow post_EU_new i.id i.time, vce(robust)
reg l_work post_EU_new i.id i.time, vce(robust)
reg l_study post_EU_new i.id i.time, vce(robust)
reg l_family post_EU_new i.id i.time, vce(robust)

//Different repetitions

gen post_ref2 = 0
replace post_ref2 = 1 if time > 6
replace post_ref2 = . if time > 12
gen treat_post2 = post_ref2*EU

gen post_ref3 = 0
replace post_ref3 = 1 if time > 5
replace post_ref3 = . if time > 10
gen treat_post3 = post_ref3*EU

gen post_ref4 = 0
replace post_ref4 = 1 if time > 4
replace post_ref4 = . if time > 8
gen treat_post4 = post_ref4*EU

gen post_ref5 = 0
replace post_ref5 = 1 if time > 8
replace post_ref5 = . if time < 3
gen treat_post5 = post_ref5*EU

gen post_ref6 = 0
replace post_ref6 = 1 if time > 9
replace post_ref6 = . if time < 5
gen treat_post6 = post_ref6*EU

gen post_ref7 = 0
replace post_ref7 = 1 if time > 10
replace post_ref7 = . if time < 7
gen treat_post7 = post_ref7*EU

forval i = 1/7{
eststo a_`i': reg l_outflow EU post_ref`i' treat_post`i' i.id i.time, vce(robust)
}
forval i = 1/7{
label variable treat_post`i' "Placebo test `i'"

}

coefplot a a_1 a_2 a_3 a_4 a_5 a_6 a_7, keep(treat_post treat_post1 treat_post2 treat_post3 ///
treat_post4 treat_post5 treat_post6 treat_post7) label xline(0)

forval i = 1/7{
eststo b_`i': reg l_work EU post_ref`i' treat_post`i' i.id i.time, vce(robust)
}

coefplot b b_1 b_2 b_3 b_4 b_5 b_6 b_7, keep(treat_post treat_post1 treat_post2 treat_post3 ///
treat_post4 treat_post5 treat_post6 treat_post7 ///
treat_post15 treat_post16 treat_post17) label xline(0)

********************************************************************************
//Net migration
********************************************************************************

//Table

reg l_net treat_post1 i.id i.time, vce(robust)
reg l_net post_EU_old i.id i.time, vce(robust)
reg l_net post_EU_new i.id i.time, vce(robust)

//Different repetition

forval i = 1/7{
eststo c_`i': reg l_net_mig EU post_ref`i' treat_post`i' i.id i.time, vce(robust)
}

coefplot c c_1 c_2 c_3 c_4 c_5 c_6 c_7, keep(treat_post treat_post1 treat_post2 treat_post3 ///
treat_post4 treat_post5 treat_post6 treat_post7 ///
treat_post15 treat_post16 treat_post17) label xline(0)





