
*******************************************************
********************** DATA PATH **********************
*******************************************************

*** insert below the path to the folder where you copy the replication archive
*** in this path insert also the following files from the Data folder

global dir_data = 	"  "

use "$dir_data\Data\Nino.dta", clear

*********************************************************************************************************************************************************************// Table G21


gen l_inflow = ln(inflow+1)

gen EU2 = 0
replace EU2 = 1 if Nationality == "European Union EU15" 
replace EU2 = . if  Nationality == "European Union EU8" |  Nationality == "European Union EU2" |  Nationality == "European Union Other"
gen post_EU2 = EU2*post_ref

gen EU3 = 0
replace EU3 = . if Nationality == "European Union EU15" 
replace EU3 = 1 if  Nationality == "European Union EU8" |  Nationality == "European Union EU2" |  Nationality == "European Union Other"
gen post_EU3 = EU3*post_ref


reg l_inflow treat_post i.id i.time
reg l_inflow post_EU2 i.id i.time
reg l_inflow post_EU3 i.id i.time


collapse (sum) inflow, by(date Quarter EU)

drop if date < 19329

*********************************************************************************************************************************************************************// Table G20

gen post_ref = 1
replace post_ref = 0 if date < 20607

estpost sum inflow if EU == 1
est store a
estpost sum inflow if EU == 1 & post_ref == 0
est store b
estpost sum inflow if EU == 1 & post_ref == 1
est store c

esttab a b c using desc.tex, replace cell("mean(fmt(2)) sd(fmt(2)) min(fmt(0)) max(fmt(0))") mtitle("Total" "Before referendum" "After referendum") noobs

//Descriptive table non-EU (total, pre and post referendum)

estpost sum inflow if EU == 0
est store a
estpost sum inflow if EU == 0 & post_ref == 0
est store b
estpost sum inflow if EU == 0 & post_ref == 1
est store c

esttab a b c using desc.tex, replace cell("mean(fmt(2)) sd(fmt(2)) min(fmt(0)) max(fmt(0))") mtitle("Total" "Before referendum" "After referendum") noobs

gen pre_ref = 1
replace pre_ref = 0 if post_ref == 1

estpost ttest inflow if EU == 1, by(pre_ref)
esttab . using EU.tex, replace wide star(* 0.1 ** .05 *** 0.01) collabels("Diff. post referendum" )

//Non- EU

estpost ttest inflow if EU == 0, by(pre_ref)
esttab . using non-EU.tex, replace wide star(* 0.1 ** .05 *** 0.01) collabels("Diff. post referendum" )

*********************************************************************************************************************************************************************// Figure G6

gen l_inflow = ln(1+inflow)

twoway (line l_inflow date if EU == 1, sort lcolor(blue) lwidth(medthick)) ///
(line l_inflow date if EU == 0, sort lcolor(forest_green) lwidth(medthick)), /// 
xline(20607, lwidth(medthick) lcolor(cranberry)) title("EU vs non-EU (in thousands)") legend(order(1 "EU" 2 "Non-EU"))
graph export "C:\Users\vgdi1n20\Dropbox\Work\l_Nino.png", as(png) replace
