*******************************************************
********************** DATA PATH **********************
*******************************************************

*** insert below the path to the folder where you copy the replication archive
*** in this path insert also the following files from the Data folder

global dir_data = 	"  "

use "$dir_data\UKLFS_placebo.dta", clear

//Main Table

drop post_ref1
drop if time < 5
gen post_ref1 = 0
replace post_ref1 = 1 if time > 16
gen treat_post1 = post_ref1*EU

gen EU15 = 0
replace EU15 = 1 if Subgroup == "European Union EU15" 
replace EU15 = . if  Subgroup == "European Union EU8" |  Subgroup == "European Union EU2" |  Subgroup == "European Union Other"

gen EU_new = 0
replace EU_new = . if Subgroup == "European Union EU15" 
replace EU_new = 1 if  Subgroup == "European Union EU8" |  Subgroup == "European Union EU2" |  Subgroup == "European Union Other"

gen treat_post15 = EU15*post_ref1
label variable treat_post15 "EU15*post_ref"

gen treat_post_new = EU_new*post_ref1
label variable treat_post_new "EU_new*post_ref"

drop if Quarter =="Mar2010"

reg l_inflow treat_post1 i.id i.time
reg l_inflow EU15 post_ref treat_post15 i.id i.time
reg l_inflow EU_new post_ref treat_post_new i.id i.time

//Repetition

drop post_ref1
drop if time < 5
gen post_ref1 = 0
replace post_ref1 = 1 if time > 16
gen treat_post1 = post_ref1*EU

gen post_ref2 = 0
replace post_ref2 = 1 if time > 15
replace post_ref2 = . if time > 26
gen treat_post2 = post_ref2*EU

gen post_ref3 = 0
replace post_ref3 = 1 if time > 14
replace post_ref3 = . if time > 24
gen treat_post3 = post_ref3*EU

gen post_ref4 = 0
replace post_ref4 = 1 if time > 13
replace post_ref4 = . if time > 22
gen treat_post4 = post_ref4*EU

gen post_ref5 = 0
replace post_ref5 = 1 if time > 12
replace post_ref5 = . if time > 20
gen treat_post5 = post_ref5*EU

gen post_ref6 = 0
replace post_ref6 = 1 if time > 11
replace post_ref6 = . if time > 18
gen treat_post6 = post_ref6*EU

gen post_ref7 = 0
replace post_ref7 = 1 if time > 10
replace post_ref7 = . if time > 16
gen treat_post7 = post_ref7*EU

gen post_ref8 = 0
replace post_ref8 = 1 if time > 9
replace post_ref8 = . if time > 14
gen treat_post8 = post_ref8*EU

gen post_ref9 = 0
replace post_ref9 = 1 if time > 8
replace post_ref9 = . if time > 12
gen treat_post9 = post_ref9*EU

gen post_ref10 = 0
replace post_ref10 = 1 if time > 17
replace post_ref10 = . if time < 7
gen treat_post10 = post_ref10*EU

gen post_ref11 = 0
replace post_ref11 = 1 if time > 18
replace post_ref11 = . if time < 9
gen treat_post11 = post_ref11*EU

gen post_ref12 = 0
replace post_ref12 = 1 if time > 19
replace post_ref12 = . if time < 11
gen treat_post12 = post_ref12*EU

gen post_ref13 = 0
replace post_ref13 = 1 if time > 20
replace post_ref13 = . if time < 13
gen treat_post13 = post_ref13*EU

gen post_ref14 = 0
replace post_ref14 = 1 if time > 21
replace post_ref14 = . if time < 15
gen treat_post14 = post_ref14*EU

gen post_ref15 = 0
replace post_ref15 = 1 if time > 22
replace post_ref15 = . if time < 17
gen treat_post15 = post_ref15*EU

gen post_ref16 = 0
replace post_ref16 = 1 if time > 23
replace post_ref16 = . if time < 19
gen treat_post16 = post_ref16*EU

gen post_ref17 = 0
replace post_ref17 = 1 if time > 24
replace post_ref17 = . if time < 21
gen treat_post17 = post_ref17*EU


forval i = 1/17{
eststo a_`i': reg l_inflow EU post_ref`i' treat_post`i' i.id i.time, vce(robust)
}
forval i = 1/17{
label variable treat_post`i' "Placebo test `i'"

}

coefplot a a_1 a_2 a_3 a_4 a_5 a_6 a_7 a_8 a_9 a_10 a_11 a_12 a_13 a_14 a_15 a_16 a_17, keep(treat_post treat_post1 treat_post2 treat_post3 ///
treat_post4 treat_post5 treat_post6 treat_post7 treat_post8 treat_post9 treat_post10 treat_post11 treat_post12 treat_post13 treat_post14 ///
treat_post15 treat_post16 treat_post17) label xline(0)

