*******************************************************
********************** DATA PATH **********************
*******************************************************

*** insert below the path to the folder where you copy the replication archive
*** in this path also download the UKLFS data from https://beta.ukdataservice.ac.uk

global dir_data = 	"  "

//In this do file I am re-building up the database from the LFS (EUL)
//For the replication it is necessary to combine UK LFS (EUL) quarterly data from 2013 to 2020
//All data should be accessed through https://beta.ukdataservice.ac.uk

use "$dir_data\lfsp_q113_end_user.dta", clear

tab CRY12

tab CRYOX7
tab NATOX7


drop if HIQUL11D == -9

keep HIQUL11D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M

**If you want to replicate Table I.27 run this instead (for all waves):
**keep HIQUL11D SEX AGE NATOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M

rename HIQUL11D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
gen NATOX7 = CRYOX7

**If you want to replicate Table I.27 omit lines 36 and 37 for all waves:

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2


gen year=2013
gen quarter = 1

save "$dir_data\2013q1_ctry.dta", replace

//quarter 2 2013
use "$dir_data\lfsp_q213_end_user.dta", clear
keep if THISWV == 1
drop if HIQUL11D == -9

keep HIQUL11D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2
br

replace Subgroup = 	"East Asia"	if COUNTRY =="HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
replace Subgroup = 	"East Asia"	if COUNTRY =="CHINA (TAIWAN)"
				
gen year=2013
gen quarter = 2

save "$dir_data\2013q2_ctry.dta", replace

//quarter 3 2013
use "$dir_data\lfsp_q313_end_user.dta", clear
keep if THISWV == 1
drop if HIQUL11D == -9

keep HIQUL11D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2
br
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"East Asia"	if COUNTRY =="CHINA (TAIWAN)"
replace Subgroup = 	"Central and South America"	if Subgroup == ""					
			
gen year=2013
gen quarter = 3
save "$dir_data\2013q3_ctry.dta", replace

//quarter 4 2013
use "$dir_data\lfsp_q413_end_user.dta", clear
keep if THISWV == 1
drop if HIQUL11D == -9

keep HIQUL11D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2
br if _merge2 == 1
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"R�NION"
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"		
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
drop if CRYOX7 < 0	
br	

gen year=2013
gen quarter = 4
save "$dir_data\2013q4_ctry.dta", replace
append using "$dir_data\2013q1_ctry.dta" "$dir_data\2013q2_ctry.dta" "$dir_data\2013q3_ctry.dta"
save "$dir_data\2013tot_ctry.dta", replace

*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
//2014

use "$dir_data\lfsp_q114_end_user.dta", clear

tab CRYOX7
tab NATOX7

drop if HIQUL11D == -9
keep if THISWV == 1

keep HIQUL11D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1

replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"	
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"				
br			

gen year=2014
gen quarter = 1

save "$dir_data\2014q1_ctry.dta", replace

//quarter 2

use "$dir_data\lfsp_q214_end_user.dta", clear

drop if HIQUL11D == -9
keep if THISWV == 1

keep HIQUL11D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1

replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN NOT OTHERWISE SPECIFIED"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"							
br

gen year=2014
gen quarter = 2

save "$dir_data\2014q2_ctry.dta", replace

//quarter 3

use "$dir_data\lfsp_q314_end_user.dta", clear

drop if HIQUL11D == -9
keep if THISWV == 1

keep HIQUL11D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1

replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"										
br

gen year=2014
gen quarter = 3

save "$dir_data\2014q3_ctry.dta", replace

//quarter 4

use "$dir_data\lfsp_q414_end_user.dta", clear

drop if HIQUL11D == -9
keep if THISWV == 1

keep HIQUL11D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7

drop if CRYOX7 < 0
numlabel, add
tab CRYOX7

drop if CRYOX7 == 926

gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1

replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"CANARY ISLANDS"	
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CENTRAL AMERICA NOT OTHERWISE SPECIFIED"				
br

gen year=2014
gen quarter = 4

save "$dir_data\2014q4_ctry.dta", replace
append using "$dir_data\2014q1_ctry.dta" "$dir_data\2014q2_ctry.dta" "$dir_data\2014q3_ctry.dta"
save "$dir_data\2014tot_ctry.dta", replace

*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
//2015

use "$dir_data\lfsp_q115_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"CANARY ISLANDS"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CENTRAL AMERICA NOT OTHERWISE SPECIFIED"				
br

gen year=2015
gen quarter = 1

save "$dir_data\2015q1_ctry.dta", replace

//quarter 2

use "$dir_data\lfsp_q215_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN NOT OTHERWISE SPECIFIED"	
replace Subgroup = 	"European Union Other"	if COUNTRY ==	"CYPRUS (EUROPEAN UNION)"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"		
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"YEMAN"				
						
br

gen year=2015
gen quarter = 2

save "$dir_data\2015q2_ctry.dta", replace

//quarter 3

use "$dir_data\lfsp_q315_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15"	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"		
replace Subgroup = 	"European Union EU8"	if COUNTRY ==	"CZECHOSLOVAKIA NOT OTHERWISE SPECIFIED"				
br

gen year=2015
gen quarter = 3

save "$dir_data\2015q3_ctry.dta", replace

//quarter 4

use "$dir_data\lfsp_q415_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2
tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"CANARY ISLANDS"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"	
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TRINIDAD AND TOBAGO"				
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES VIRGIN ISLANDS"							
			
br
//everything's ok

gen year=2015
gen quarter = 4

save "$dir_data\2015q4_ctry.dta", replace
append using "$dir_data\2015q2_ctry.dta" "$dir_data\2015q3_ctry.dta"
save "$dir_data\2015tot_ctry.dta", replace

*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
//2016

use "$dir_data\lfsp_q116_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"						
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"	
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST VINCENT AND THE GRENADINES"				
			
br

gen year=2016
gen quarter = 1

save "$dir_data\2016q1_ctry.dta", replace

//2016 Q2

use "$dir_data\lfsp_q216_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ  URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"		
br

gen year=2016
gen quarter = 2

save "$dir_data\2016q2_ctry.dta", replace

//2016 Q3

use "$dir_data\lfsp_q316_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"	
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"		
br

gen year=2016
gen quarter = 3

save "$dir_data\2016q3_ctry.dta", replace

//2016 Q4

use "$dir_data\lfsp_q416_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"	
replace Subgroup = 	"European Union Other"	if COUNTRY ==	"CYPRUS (EUROPEAN UNION)"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"							
br

gen year=2016
gen quarter = 4

save "$dir_data\2016q4_ctry.dta", replace
append using "$dir_data\2016q1_ctry.dta" "$dir_data\2016q2_ctry.dta" "$dir_data\2016q3_ctry.dta"
save "$dir_data\2016tot_ctry.dta", replace

*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
//2017

use "$dir_data\lfsp_q117_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"European Union EU8 "	if COUNTRY ==	"CZECHOSLOVAKIA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"								
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
			
br

gen year=2017
gen quarter = 1

save "$dir_data\2017q1_ctry.dta", replace

//2017 Q2

use "$dir_data\lfsp_q217_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7 PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7
drop if CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

br if _merge2 == 1
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"	
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"								
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"	
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"							
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"						
			
br

gen year=2017
gen quarter = 2

save "$dir_data\2017q2_ctry.dta", replace

//2017 Q3

use "$dir_data\lfsp_q317_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2
tab CRYOX7_EUL_Sub
drop if CRYOX7 < 2

gen year=2017
gen quarter = 3

gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15

save "$dir_data\2017q3_ctry.dta", replace

//2017 Q4

use "$dir_data\lfsp_q417_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2
tab CRYOX7_EUL_Sub
drop if CRYOX7 < 2

gen year=2017
gen quarter = 4

gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15

br

save "$dir_data\2017q4_ctry.dta", replace
append using "$dir_data\2017q1_ctry.dta" "$dir_data\2017q2_ctry.dta" "$dir_data\2017q3_ctry.dta"
save "$dir_data\2017tot_ctry.dta", replace
*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
*************************************************************************************************************************************************************************************
//2018

use "$dir_data\lfsp_q118_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7_EUL_Sub
drop if CRYOX7 < 2

gen year=2018
gen quarter = 1

gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15

br

save "$dir_data\2018q1_ctry.dta", replace

//2018 Q2

use "$dir_data\lfsp_q218_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7_EUL_Sub
drop if CRYOX7 < 2

gen year=2018
gen quarter = 2

gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15

br

save "$dir_data\2018q2_ctry.dta", replace

//2018 Q3

use "$dir_data\lfsp_q318_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7_EUL_Sub
drop if CRYOX7 < 2

gen year=2018
gen quarter = 3

gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15

br
save "$dir_data\2018q3_ctry.dta", replace

//2018 Q4

use "$dir_data\lfsp_q418_eul.dta", clear

drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7_EUL_Sub
drop if CRYOX7 < 2

gen year=2018
gen quarter = 4

gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15

br
save "$dir_data\2018q4_ctry.dta", replace

append using "$dir_data\2018q1_ctry.dta" "$dir_data\2018\2018q2_ctry.dta" "$dir_data\2018q3_ctry.dta"
save "$dir_data\2018tot_ctry.dta", replace

forval i = 1/4{
use "$dir_data\lfsp_q`i'19_eul.dta", clear
drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7_EUL_Sub
drop if CRYOX7 < 2


gen year=2019
gen quarter = `i'

gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15

br
save "$dir_data\2019q`i'_ctry.dta", replace
}

append using "$dir_data\2019q1_ctry.dta" "$dir_data\2019q2_ctry.dta" "$dir_data\2019q3_ctry.dta"
save "$dir_data\2019tot_ctry.dta", replace

***************************************************************************************************************************************************************
**If you want to replicate Table I.29 run the following:

//append using "$dir_data\2013tot_ctry.dta" "$dir_data\2014tot_ctry.dta" "$dir_data\2015\2015tot_ctry.dta" ///
*"$dir_data\2016tot_ctry.dta" "$dir_data\2017tot_ctry.dta" "$dir_data\2018tot_ctry.dta"

**And jump to line 1077
***************************************************************************************************************************************************************

forval i = 1/2{
use "$dir_data\lfsp_q`i'20_eul.dta", clear
drop if HIQUL15D == -9
keep if THISWV == 1

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 CAMEMT CAMEYR CAMEYR2 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
keep if CAMEMT > 0
replace CAMEYR2 = 0 if CAMEYR2 == -9
replace CAMEYR = CAMEYR2 if CAMEYR2 > CAMEYR
keep if CAMEYR > 2012
drop CAMEYR2

tab CRYOX7_EUL_Sub
drop if CRYOX7 < 2

gen year=2020
gen quarter = `i'

gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15

br
save "$dir_data\2020q`i'_ctry.dta", replace
}

append using "$dir_data\2020q1_ctry.dta" 
save "$dir_data\2020tot_ctry.dta", replace


append using "$dir_data\2013tot_ctry.dta" "$dir_data\2014tot_ctry.dta" "$dir_data\2015\2015tot_ctry.dta" ///
"$dir_data\2016tot_ctry.dta" "$dir_data\2017tot_ctry.dta" "$dir_data\2018tot_ctry.dta" "$dir_data\2019tot_ctry.dta"

tab COUNTRY
keep AGE CAMEMT CAMEYR EDAGE LEVQUL PWT18 SEX SC10MMJ URESMC INDE07M year quarter Subgroup
tab year

keep if CAMEYR > 2012

gen quarter_arrival = 1
replace quarter_arrival = 2 if CAMEMT > 3 & CAMEMT < 7
replace quarter_arrival = 3 if CAMEMT > 6 & CAMEMT < 10
replace quarter_arrival = 4 if CAMEMT > 9

gen month = "Mar" 
replace month = "Jun" if quarter_arrival == 2
replace month = "Sep" if quarter_arrival == 3
replace month = "Dec" if quarter_arrival == 4

tostring CAMEYR, gen(cameyr)

gen time = month+cameyr

br

save "$dir_data\UKLFS_cob_sec.dta", replace

//Building the main variables

gen nweight = 1

gen female = 1 if SEX == 2
gen male = 1 if female == .

gen young = 1
replace young = 0 if AGE > 39

tab young

gen old = 1 if young == 0
replace old = 0 if young == 1

tab old

gen hig_qual = 1 if LEVQUL == 1
replace hig_qual = 0 if hig_qual == .
gen low_qual = 1 if LEVQUL != 1

gen hig_qual_alt = 1 if EDAGE > 20
replace hig_qual_alt = 0 if hig_qual_alt == .
replace hig_qual_alt = 0 if EDAGE == 96

tab hig_qual
tab hig_qual_alt

tab hig_qual hig_qual_alt

gen low_qual_alt = 1 if hig_qual_alt == 0

gen high_pro = 1 if SC10MMJ == 1 | SC10MMJ == 2 | SC10MMJ == 3
replace high_pro = 0 if SC10MMJ > 3 & SC10MMJ < 10

gen low_pro = 1 if SC10MMJ > 3 & SC10MMJ < 10
replace low_pro = 0 if SC10MMJ == 1 | SC10MMJ == 2 | SC10MMJ == 3

gen work_low = 0
replace work_low = 1 if SC10MMJ != - 9 & LEVQUL != 1

numlabel, add
tab URESMC

gen london = 0
replace london = 1 if URESMC == 8 | URESMC == 9

gen south_east = 0
replace south_east = 1 if URESMC == 10 

gen region_rest = 0
replace region_rest = 1 if URESMC != 8 & URESMC != 9 & URESMC != 10

tab INDE07M

gen manufactury = 0
replace manufactury = 1 if INDE07M == 3
replace manufactury = . if INDE07M < 1

gen construction = 0
replace construction = 1 if INDE07M == 4
replace construction = . if INDE07M < 1

gen hospitality = 0
replace hospitality = 1 if INDE07M == 5
replace hospitality = . if INDE07M < 1

gen finance = 0
replace finance = 1 if INDE07M == 7
replace finance = . if INDE07M < 1

gen admin = 0
replace admin = 1 if INDE07M == 8
replace admin = . if INDE07M < 1

gen sec_rest = 0
replace sec_rest = 1 if INDE07M != 8 & INDE07M != 7 & INDE07M != 5 & INDE07M != 4 & INDE07M != 3 
replace sec_rest = . if INDE07M < 1

foreach var in hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro work_low london south_east region_rest manufactury construction hospitality finance admin sec_rest{
gen w_`var' = PWT18*`var'
}

//Making sure to have 14 sub-regions
tab Subgroup

replace Subgroup = "European Union EU15" if Subgroup == "European Union EU15 "
replace Subgroup = "European Union EU8" if Subgroup == "European Union EU8 "


collapse (sum) nweight PWT18 hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro work_low london south_east region_rest manufactury construction hospitality finance admin sec_rest ///
w_hig_qual w_low_qual w_hig_qual_alt w_low_qual_alt w_female w_male w_young w_old w_high_pro w_low_pro w_london w_south_east w_region_rest w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest, by(Subgroup time)


insobs 4, before(1)
replace Subgroup = "European Union EU15" in 1
replace Subgroup = "European Union EU15" in 2
replace Subgroup = "European Union EU15" in 3
replace Subgroup = "European Union EU15" in 4

replace time = "Jun2012" in 3
replace time = "Sep2012" in 2
replace time = "Mar2012" in 1
replace time = "Dec2012" in 4

fillin Subgroup time

gen date = date(time, "MY")
sysdir set PLUS "C:\Users\valen\Dropbox\Work"

labmask date, values(time)

//Drop Mar 2020 (we want to avoid to include it for the Covid)
drop if date == 21975


//create a balanced panel

foreach var in nweight PWT18  hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro london south_east region_rest manufactury construction hospitality finance admin sec_rest ///
w_hig_qual w_low_qual w_female w_male w_young w_old w_high_pro w_low_pro w_london w_south_east w_region_rest w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest{
replace `var' = 0 if _fillin == 1 
}

foreach var in nweight PWT18  hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro london south_east region_rest manufactury construction hospitality finance admin sec_rest ///
w_hig_qual w_low_qual w_female w_male w_young w_old w_high_pro w_low_pro w_london w_south_east w_region_rest w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest{
replace `var' = . if date < 19329
}

gen EU = 0
replace EU = 1 if Subgroup == "European Union EU15" |  Subgroup == "European Union EU8" |  Subgroup == "European Union EU2" |  Subgroup == "European Union Other"

tab EU
tab Subgroup if EU == 1
tab Subgroup if EU == 0

gen post_ref = 1
replace post_ref = 0 if date < 20607

rename time Quarter

merge m:1 Quarter using "$dir_data\controls.dta", gen (_merge_c)
drop if _merge == 2

//we need to create an alternative time dimension if we want to add lags
//right now the delta is one day, but we want one quarter

egen time = group(date)

egen NATOX7 = group(Subgroup)
xtset NATOX7 time

set more off, permanently

gen treat_post = EU*post_ref
gen year = substr(Quarter, 4,4)
destring year, replace
gen log_GDP = ln(GDP)

label variable post_ref "Post_ref"
label variable treat_post "EU*post_ref"
label variable log_GDP "GDP (log)"
label variable Unemployment_ "Unemployment"

save "$dir_data\Data\UKLFS_cob.dta", replace



