
*******************************************************
********************** DATA PATH **********************
*******************************************************

*** insert below the path to the folder where you copy the replication archive

global dir_data = 	"  "

use "$dir_data\Data\UKLFS_stocks.dta", clear


foreach var in  PWT18 w_hig_qual w_low_qual w_hig_qual_alt w_low_qual_alt w_female w_male w_young w_old w_high_pro w_low_pro w_london w_south_east w_region_rest w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest{
gen l_`var' = ln(1+`var')

}

*************************************************************************************************************************************************************************// FIGURE F5 (a)
*****************************************************************************************************************************************************************

foreach var in  PWT18 w_hig_qual w_low_qual w_hig_qual_alt w_low_qual_alt w_female w_male w_young w_old w_high_pro w_low_pro w_london w_south_east w_region_rest w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest{
replace `var' = `var'/1000

}

reg d.PWT18 treat_post i.NATOX7 i.time, vce(robust)
reg d.w_hig_qual treat_post i.NATOX7 i.time, vce(robust)
reg d.w_low_qual treat_post i.NATOX7 i.time, vce(robust)
reg d.w_female treat_post i.NATOX7 i.time, vce(robust)
reg d.w_male treat_post i.NATOX7 i.time, vce(robust)
reg d.w_young treat_post i.NATOX7 i.time, vce(robust)
reg d.w_old treat_post i.NATOX7 i.time, vce(robust)
reg d.w_london treat_post i.NATOX7 i.time, vce(robust)
reg d.w_south_east treat_post i.NATOX7 i.time, vce(robust)
reg d.w_region_rest treat_post i.NATOX7 i.time, vce(robust)

coefplot a b c d e f g h i l, horizontal levels(90) keep(treat_post) label xline(0)

*************************************************************************************************************************************************************************// FIGURE F5 (b)
*****************************************************************************************************************************************************************

reg d.w_high_pro treat_post i.NATOX7 i.time, vce(robust)
reg d.w_low_pro treat_post i.NATOX7 i.time, vce(robust)
reg d.w_manufactury treat_post i.NATOX7 i.time, vce(robust)
reg d.w_construction treat_post i.NATOX7 i.time, vce(robust)
reg d.w_hospitality treat_post i.NATOX7 i.time, vce(robust)
reg d.w_finance treat_post i.NATOX7 i.time, vce(robust)
reg d.w_admin treat_post i.NATOX7 i.time, vce(robust)
reg d.w_sec_rest treat_post i.NATOX7 i.time, vce(robust)
coefplot a b c d e f g h, horizontal levels(90) keep(treat_post) label xline(0)


*************************************************************************************************************************************************************************// TABLE F17
*****************************************************************************************************************************************************************


collapse (sum) PWT18 w_hig_qual w_low_qual w_female w_male w_young w_old w_high_pro w_low_pro w_london w_south_east w_region_rest w_manufactury w_construction w_hospitality ///
w_finance w_admin w_sec_rest, by(EU time date Quarter)

drop if time < 5


//I generate a dummy that takes the valus one if the period is post June 2016
gen post_ref = 1
replace post_ref = 0 if time < 10

xtset EU time

foreach var in PWT18 w_hig_qual w_low_qual w_female w_male w_young w_old w_london w_south_east w_region_rest{

gen d_`var' = d.`var'

estpost sum d_`var' if EU == 1
est store a
estpost sum d_`var' if EU == 1 & post_ref == 0
est store b
estpost sum d_`var' if EU == 1 & post_ref == 1
est store c

esttab a b c 

estpost sum d_`var' if EU == 0
est store a
estpost sum d_`var' if EU == 0 & post_ref == 0
est store b
estpost sum d_`var' if EU == 0 & post_ref == 1
est store c

esttab a b c 
}

gen pre_ref = 1
replace pre_ref = 0 if post_ref == 1


foreach var in PWT18 w_hig_qual w_low_qual w_female w_male w_young w_old w_london w_south_east w_region_rest{
estpost ttest abs(d_`var') if EU == 1, by(pre_ref)
est store a
estpost ttest abs(d_`var') if EU == 0, by(pre_ref)
est store b
esttab a b 
}

*************************************************************************************************************************************************************************// TABLE F18
*****************************************************************************************************************************************************************


foreach var in w_high_pro w_low_pro w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest{

gen d_`var' = d.`var'

estpost sum d_`var' if EU == 1
est store a
estpost sum d_`var' if EU == 1 & post_ref == 0
est store b
estpost sum d_`var' if EU == 1 & post_ref == 1
est store c

esttab a b c 


estpost sum d_`var' if EU == 0
est store a
estpost sum d_`var' if EU == 0 & post_ref == 0
est store b
estpost sum d_`var' if EU == 0 & post_ref == 1
est store c

esttab a b c 
}


foreach var in high_pro low_pro london south_east region_rest manufactury construction hospitality finance admin sec_rest{
estpost ttest d_w_`var' if EU == 1, by(pre_ref)
est store a
estpost ttest d_w_`var' if EU == 0, by(pre_ref)
est store b
esttab a b 
}


*************************************************************************************************************************************************************************// TABLE F15
*****************************************************************************************************************************************************************


foreach var in PWT18 w_hig_qual w_low_qual w_female w_male w_young w_old w_london w_south_east w_region_rest{



estpost sum `var' if EU == 1
est store a
estpost sum `var' if EU == 1 & post_ref == 0
est store b
estpost sum `var' if EU == 1 & post_ref == 1
est store c

esttab a b c 

estpost sum `var' if EU == 0
est store a
estpost sum `var' if EU == 0 & post_ref == 0
est store b
estpost sum `var' if EU == 0 & post_ref == 1
est store c

esttab a b c 
}

gen pre_ref = 1
replace pre_ref = 0 if post_ref == 1


foreach var in PWT18 w_hig_qual w_low_qual w_female w_male w_young w_old w_london w_south_east w_region_rest{
estpost ttest abs(`var') if EU == 1, by(pre_ref)
est store a
estpost ttest abs(`var') if EU == 0, by(pre_ref)
est store b
esttab a b 
}



foreach var in w_high_pro w_low_pro w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest{


estpost sum `var' if EU == 1
est store a
estpost sum `var' if EU == 1 & post_ref == 0
est store b
estpost sum `var' if EU == 1 & post_ref == 1
est store c

esttab a b c 


estpost sum `var' if EU == 0
est store a
estpost sum `var' if EU == 0 & post_ref == 0
est store b
estpost sum `var' if EU == 0 & post_ref == 1
est store c

esttab a b c 
}


foreach var in high_pro low_pro london south_east region_rest manufactury construction hospitality finance admin sec_rest{
estpost ttest w_`var' if EU == 1, by(pre_ref)
est store a
estpost ttest w_`var' if EU == 0, by(pre_ref)
est store b
esttab a b 
}

*******************************************************************************************************************************************************************//FIGURE F4
*****************************************************************************************************************************************************************

//Graph inflows
import excel "$dir_data\Data\DiDeffects_stocks.xlsx", firstrow clear

graph bar (mean) DID if ID < 5, over( EU ) over(ID) blabel(bar, format(%4.0f)) intensity(25) ytitle("DiD effect")

graph bar (mean) DID if ID > 4 & ID < 9, over( EU ) over(Variable) blabel(bar, format(%4.0f)) intensity(25) ytitle("DiD effect")

graph bar (mean) DID if ID > 8, over( EU ) over(ID) blabel(bar, format(%4.0f)) intensity(25) ytitle("DiD effect")
