*******************************************************
********************** DATA PATH **********************
*******************************************************

*** insert below the path to the folder where you copy the replication archive
*** in this path also download the UKLFS data from https://beta.ukdataservice.ac.uk

global dir_data = 	"  "

//In this do file I am re-building up the database from the LFS (EUL) to run the placebo tests
//For the replication it is necessary to combine UK LFS (EUL) quarterly data from 2010 to 2016
//All data should be accessed through https://beta.ukdataservice.ac.uk
//The UKLFS files are named lfsp_(quarter)(year)_eul.dta. For instance, quarter 4 of 2012 is named as follows: lfsp_q412_eul.dta
//To run the following loops it is necessary to rename the files as follows: year_q(quarter).dta. For instance, quarter 3 of 2010: 2010_q3


use "$dir_data\2010_q2.dta", clear


keep if NATOX7 != 926

keep if HIQUAL8D != -9

keep PWT14 NATOX7


merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

gen inflow = 1
gen year=2010
gen quarter = 2

save "$dir_data\2010q2_stock.dta", replace

//loop 2010

forval i = 3/4{
use "$dir_data\2010_q`i'.dta", clear
keep if NATOX7 != 926
keep if HIQUAL8D != -9

keep PWT14 NATOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

gen inflow = 1
gen year=2010
gen quarter =`i'
save "$dir_data\2010q`i'_stock.dta", replace
}
//total file 2010

append using "$dir_data\2010q2_stock.dta" "$dir_data\2010q3_stock.dta"
drop if Subgroup == "" 
save "$dir_data\2010_tot_stock.dta", replace


//loop 2011


forval i = 1/4{
use "$dir_data\2011\2011_q`i'.dta", clear
keep if NATOX7 != 926
keep if HIQUAL11 != -9
keep PWT14 NATOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

gen inflow = 1
gen year=2011
gen quarter =`i'
save "$dir_data\2011q`i'_stock.dta", replace
}

//total file 2011

append using "$dir_data\2011q1_stock.dta" "$dir_data\2011q2_stock.dta" "$dir_data\2011q3_stock.dta"
save "$dir_data\2011_tot_stock.dta", replace


//loop 2012

forval i = 1/4{
use "$dir_data\2012_q`i'.dta", clear
keep if NATOX7 != 926
keep if HIQUL11D != -9
keep PWT18 NATOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2

gen inflow = 1
gen year=2012
gen quarter =`i'
save "$dir_data\2012q`i'_stock.dta", replace
}


append using "$dir_data\2012q1_stock.dta" "$dir_data\2012q2_stock.dta" "$dir_data\2012q3_stock.dta"
save "$dir_data\2012_tot_stock.dta", replace

append using "$dir_data\2010_tot_stock.dta" "$dir_data\2011_tot_stock.dta"

tab COUNTRY if Subgroup == ""

replace Subgroup = 	"."	if COUNTRY == "AFRICA NOT OTHERWISE SPECIFIED |"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA AND OCEANIA NOT OTHERWISE .."				
replace Subgroup = 	"Central and South America"	if COUNTRY == "ANTIGUA AND BARBUDA"				
replace Subgroup = 	"."	if COUNTRY ==	"ASIA (EXCEPT MIDDLE EAST) NOT OTHERWISE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BAHAMAS, THE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BOLIVIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY == "BOSNIA AND HERZEGOVINA"				
replace Subgroup = 	"Sub-Saharan Africa" if COUNTRY ==	"BOUVET ISLAND"				
replace Subgroup = 	"."	if COUNTRY == "BRITISH INDIAN OCEAN TERRITORY"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BRUNEI"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"BURKINA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BURMA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"CANARY ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CARIBBEAN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CENTRAL AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"CHRISTMAS ISLAND"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"COCOS (KEELING) ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"DOMINICAN REPUBLIC"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"CONGO (DEMOCRATIC REPUBLIC)"				
replace Subgroup = 	"European Union Other"	if COUNTRY ==	"CYPRUS (EUROPEAN UNION)"				
replace Subgroup = 	"European Other"	if COUNTRY ==	"CYPRUS (NON-EUROPEAN UNION)"				
replace Subgroup = 	"European Other" 	if COUNTRY ==	"CYPRUS (NOT OTHERWISE SPECIFIED)"				
replace Subgroup = 	"European Union EU8 "	if COUNTRY ==	"CZECHOSLOVAKIA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"Does not apply"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"EAST TIMOR"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"EUROPE NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"FALKLAND ISLANDS"				
replace Subgroup = 	"."	if COUNTRY ==	"FAROE ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"FRENCH SOUTHERN TERRITORIES"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"				
replace Subgroup = 	"."	if COUNTRY ==	"HEARD ISLAND AND MCDONALD ISLANDS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REG.."				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"IRAN"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"IVORY COAST"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (NORTH)"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVA AND METOHIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"Kosovo"	
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVO"
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA"						
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"LAOS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"MACAO (SPECIAL ADMINISTRATIVE REGION OF"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MACEDONIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"MAYOTTE"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"MICRONESIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MOLDOVA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"Middle East NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"NETHERLANDS ANTILLES"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"PITCAIRN, HENDERSON, DUCIE AND OENO I.."				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"RUSSIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"R?NION"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SAO TOME AND PRINCIPE"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA AND MONTENEGRO NOT OTHERWISE S.."				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SOUTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"SOUTH GEORGIA AND THE SOUTH SANDWICH .."				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST HELENA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST KITTS AND NEVIS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST LUCIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST PIERRE AND MIQUELON"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST VINCENT AND THE GRENADINES"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SURINAM"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SVALBARD AND JAN MAYEN"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"SYRIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"St Martin"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"TANZANIA"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"TOKELAU"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TRINIDAD AND TOBAGO"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TURKS AND CAICOS ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"UNION OF SOVIET SOCIALIST REPUBLICS NOT"				
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES"	
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES VIRGIN ISLANDS"							
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES MINOR OUTLYING ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"VATICAN CITY"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"VIETNAM"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"WALLIS AND FUTUNA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) .."				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"YEMAN"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"YUGOSLAVIA NOT OTHERWISE SPECIFIED"				

drop if Subgroup == ""

gen weight = PWT18
replace weight = PWT14 if weight == .

gen month = "Mar" 
replace month = "Jun" if quarter == 2
replace month = "Sep" if quarter == 3
replace month = "Dec" if quarter == 4

tostring year, gen(yr)

gen time = month+yr


collapse (sum) inflow [pw = weight], by(Subgroup time)

drop if Subgroup == "."
replace Subgroup = "European Union EU15" if Subgroup == "European Union EU15 "
replace Subgroup = "European Union EU8" if Subgroup == "European Union EU8 "
replace Subgroup = "South East Asia" if Subgroup == "South East Asia "
replace Subgroup = "South East Asia" if Subgroup == "South East Asia "
replace Subgroup = "Other Europe" if Subgroup == "European Other"

rename inflow PWT18
save "$dir_data\Data\placebo_stocks.dta", replace

use "$dir_data\Data\UKLFS_stocks.dta", clear

drop if date < 19329

drop time 
gen time = Month+Year

append using "$dir_data\Data\placebo_stocks.dta"

insobs 4, before(1)
replace Subgroup = "European Union EU15" in 1
replace Subgroup = "European Union EU15" in 2
replace Subgroup = "European Union EU15" in 3
replace Subgroup = "European Union EU15" in 4

replace time = "Jun2009" in 3
replace time = "Sep2009" in 2
replace time = "Mar2010" in 1
replace time = "Dec2009" in 4

drop _fillin 
drop _merge
fillin Subgroup time

drop date
gen date = date(time, "MY")

labmask date, values(time)

drop if date > 20514

tab time

tab Subgroup

duplicates drop Subgroup time, force

keep PWT18 Subgroup time

gen EU = 0
replace EU = 1 if Subgroup == "European Union EU15" | Subgroup == "European Union EU8" ///
| Subgroup == "European Union EU2" | Subgroup == "European Union Other"

tab Subgroup if EU == 1
tab Subgroup if EU == 0


label define EU 0 "Non EU" 1 "EU" 

gen date = date(time, "MY")

labmask date, values(time)


rename time Quarter

gen l_stock = ln(PWT18)
gen post_ref = 0
replace post_ref = 1 if date > 19418

gen treat_post = EU*post_ref
gen year = substr(Quarter, 4,4)
destring year, replace

egen time = group(date)
egen id = group(Subgroup)

drop if Subgroup == ""

xtset id time

set more off, permanently

label variable post_ref "Post_ref"
label variable treat_post "EU*post_ref"

gen EU15 = 0
replace EU15 = 1 if Subgroup == "European Union EU15" 
replace EU15 = . if  Subgroup == "European Union EU8" |  Subgroup == "European Union EU2" |  Subgroup == "European Union Other"

gen EU_new = 0
replace EU_new = . if Subgroup == "European Union EU15" 
replace EU_new = 1 if  Subgroup == "European Union EU8" |  Subgroup == "European Union EU2" |  Subgroup == "European Union Other"

gen treat_post15 = EU15*post_ref
label variable treat_post15 "EU15*post_ref"

gen treat_post_new = EU_new*post_ref
label variable treat_post_new "EU_new*post_ref"

********************************************************************************
//Table F16
********************************************************************************

reg l_stock treat_post i.id i.time
reg l_stock treat_post15 i.id i.time
reg l_stock treat_post_new i.id i.time

