*******************************************************
********************** DATA PATH **********************
*******************************************************

*** insert below the path to the folder where you copy the replication archive
*** in this path also download the UKLFS data from https://beta.ukdataservice.ac.uk

global dir_data = 	"  "

//In this do file I am re-building up the database from the LFS (EUL) to calculate migrant stocks
//For the replication it is necessary to combine UK LFS (EUL) quarterly data from 2013 to 2019
//All data should be accessed through https://beta.ukdataservice.ac.uk


use "$dir_data\lfsp_q412_eul.dta", clear

drop if HIQUL11D == -9

keep HIQUL11D SEX AGE CRYOX7 PWT18 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
drop if CRYOX7 == 926 | CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2
drop if _merge2 == 2
drop if _merge1 == 2
drop if COUNTRY == "ENGLAND"
drop if COUNTRY == "NORTHERN IRELAND"
drop if COUNTRY == "AT SEA"
drop if COUNTRY == "CHANNEL ISLANDS Not otherwise specified"
drop if COUNTRY == "GREAT BRITAIN NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "IN THE AIR"
drop if COUNTRY == "ISLE OF MAN"
drop if COUNTRY == "JERSEY"
drop if COUNTRY == "No answer"
drop if COUNTRY == "SCOTLAND"
drop if COUNTRY == "UNITED KINGDOM NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "WALES"
drop if COUNTRY == "GIBRALTAR"

drop if COUNTRY == "�AND ISLANDS"


replace Subgroup = 	"."	if COUNTRY == "AFRICA NOT OTHERWISE SPECIFIED |"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA AND OCEANIA NOT OTHERWISE .."				
replace Subgroup = 	"Central and South America"	if COUNTRY == "ANTIGUA AND BARBUDA"				
replace Subgroup = 	"."	if COUNTRY ==	"ASIA (EXCEPT MIDDLE EAST) NOT OTHERWISE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BAHAMAS, THE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BOLIVIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY == "BOSNIA AND HERZEGOVINA"				
replace Subgroup = 	"Sub-Saharan Africa" if COUNTRY ==	"BOUVET ISLAND"				
replace Subgroup = 	"."	if COUNTRY == "BRITISH INDIAN OCEAN TERRITORY"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BRUNEI"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"BURKINA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BURMA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"CANARY ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CARIBBEAN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CENTRAL AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"CHRISTMAS ISLAND"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"COCOS (KEELING) ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"DOMINICAN REPUBLIC"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"CONGO (DEMOCRATIC REPUBLIC)"				
replace Subgroup = 	"European Union Other"	if COUNTRY ==	"CYPRUS (EUROPEAN UNION)"				
replace Subgroup = 	"European Other"	if COUNTRY ==	"CYPRUS (NON-EUROPEAN UNION)"				
replace Subgroup = 	"European Other" 	if COUNTRY ==	"CYPRUS (NOT OTHERWISE SPECIFIED)"				
replace Subgroup = 	"European Union EU8 "	if COUNTRY ==	"CZECHOSLOVAKIA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"Does not apply"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"EAST TIMOR"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"EUROPE NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"FALKLAND ISLANDS"				
replace Subgroup = 	"."	if COUNTRY ==	"FAROE ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"FRENCH SOUTHERN TERRITORIES"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"				
replace Subgroup = 	"."	if COUNTRY ==	"HEARD ISLAND AND MCDONALD ISLANDS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REG.."				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"IRAN"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"IVORY COAST"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (NORTH)"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVA AND METOHIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"Kosovo"	
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVO"
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA"						
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"LAOS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"MACAO (SPECIAL ADMINISTRATIVE REGION OF"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MACEDONIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"MAYOTTE"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"MICRONESIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MOLDOVA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"Middle East NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"NETHERLANDS ANTILLES"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"PITCAIRN, HENDERSON, DUCIE AND OENO I.."				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"RUSSIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"R?NION"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SAO TOME AND PRINCIPE"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA AND MONTENEGRO NOT OTHERWISE S.."				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SOUTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"SOUTH GEORGIA AND THE SOUTH SANDWICH .."				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST HELENA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST KITTS AND NEVIS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST LUCIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST PIERRE AND MIQUELON"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST VINCENT AND THE GRENADINES"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SURINAM"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SVALBARD AND JAN MAYEN"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"SYRIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"St Martin"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"TANZANIA"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"TOKELAU"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TRINIDAD AND TOBAGO"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TURKS AND CAICOS ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"UNION OF SOVIET SOCIALIST REPUBLICS NOT"				
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES"	
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES VIRGIN ISLANDS"							
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES MINOR OUTLYING ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"VATICAN CITY"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"VIETNAM"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"WALLIS AND FUTUNA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) .."				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"YEMAN"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"YUGOSLAVIA NOT OTHERWISE SPECIFIED"				

drop if Subgroup == "." | Subgroup == ""

gen year=2012
gen quarter = 4

save "$dir_data\2012q4_stock.dta", replace



forval i = 1/4{

use "$dir_data\lfsp_q`i'13_end_user.dta", clear

drop if HIQUL11D == -9

keep HIQUL11D SEX AGE CRYOX7 PWT18 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
drop if CRYOX7 == 926 | CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2
drop if _merge2 == 2
drop if _merge1 == 2
drop if COUNTRY == "ENGLAND"
drop if COUNTRY == "NORTHERN IRELAND"
drop if COUNTRY == "AT SEA"
drop if COUNTRY == "CHANNEL ISLANDS Not otherwise specified"
drop if COUNTRY == "GREAT BRITAIN NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "IN THE AIR"
drop if COUNTRY == "ISLE OF MAN"
drop if COUNTRY == "JERSEY"
drop if COUNTRY == "No answer"
drop if COUNTRY == "SCOTLAND"
drop if COUNTRY == "UNITED KINGDOM NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "WALES"
drop if COUNTRY == "GIBRALTAR"

drop if COUNTRY == "�AND ISLANDS"


replace Subgroup = 	"."	if COUNTRY == "AFRICA NOT OTHERWISE SPECIFIED |"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA AND OCEANIA NOT OTHERWISE .."				
replace Subgroup = 	"Central and South America"	if COUNTRY == "ANTIGUA AND BARBUDA"				
replace Subgroup = 	"."	if COUNTRY ==	"ASIA (EXCEPT MIDDLE EAST) NOT OTHERWISE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BAHAMAS, THE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BOLIVIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY == "BOSNIA AND HERZEGOVINA"				
replace Subgroup = 	"Sub-Saharan Africa" if COUNTRY ==	"BOUVET ISLAND"				
replace Subgroup = 	"."	if COUNTRY == "BRITISH INDIAN OCEAN TERRITORY"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BRUNEI"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"BURKINA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BURMA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"CANARY ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CARIBBEAN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CENTRAL AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"CHRISTMAS ISLAND"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"COCOS (KEELING) ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"DOMINICAN REPUBLIC"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"CONGO (DEMOCRATIC REPUBLIC)"				
replace Subgroup = 	"European Union Other"	if COUNTRY ==	"CYPRUS (EUROPEAN UNION)"				
replace Subgroup = 	"European Other"	if COUNTRY ==	"CYPRUS (NON-EUROPEAN UNION)"				
replace Subgroup = 	"European Other" 	if COUNTRY ==	"CYPRUS (NOT OTHERWISE SPECIFIED)"				
replace Subgroup = 	"European Union EU8 "	if COUNTRY ==	"CZECHOSLOVAKIA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"Does not apply"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"EAST TIMOR"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"EUROPE NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"FALKLAND ISLANDS"				
replace Subgroup = 	"."	if COUNTRY ==	"FAROE ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"FRENCH SOUTHERN TERRITORIES"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"				
replace Subgroup = 	"."	if COUNTRY ==	"HEARD ISLAND AND MCDONALD ISLANDS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REG.."				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"IRAN"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"IVORY COAST"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (NORTH)"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVA AND METOHIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"Kosovo"	
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVO"
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA"						
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"LAOS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"MACAO (SPECIAL ADMINISTRATIVE REGION OF"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MACEDONIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"MAYOTTE"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"MICRONESIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MOLDOVA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"Middle East NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"NETHERLANDS ANTILLES"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"PITCAIRN, HENDERSON, DUCIE AND OENO I.."				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"RUSSIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"R?NION"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SAO TOME AND PRINCIPE"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA AND MONTENEGRO NOT OTHERWISE S.."				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SOUTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"SOUTH GEORGIA AND THE SOUTH SANDWICH .."				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST HELENA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST KITTS AND NEVIS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST LUCIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST PIERRE AND MIQUELON"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST VINCENT AND THE GRENADINES"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SURINAM"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SVALBARD AND JAN MAYEN"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"SYRIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"St Martin"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"TANZANIA"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"TOKELAU"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TRINIDAD AND TOBAGO"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TURKS AND CAICOS ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"UNION OF SOVIET SOCIALIST REPUBLICS NOT"				
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES"	
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES VIRGIN ISLANDS"							
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES MINOR OUTLYING ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"VATICAN CITY"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"VIETNAM"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"WALLIS AND FUTUNA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) .."				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"YEMAN"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"YUGOSLAVIA NOT OTHERWISE SPECIFIED"				

drop if Subgroup == "." | Subgroup == ""

gen year=2013
gen quarter = `i'

save "$dir_data\2013q`i'_stock.dta", replace
}

append using "$dir_data\2013q1_stock.dta" "$dir_data\2013q2_stock.dta" "$dir_data\2013q3_stock.dta"
save "$dir_data\2013tot_stock.dta", replace
 
forval i = 1/4{

use "$dir_data\lfsp_q`i'14_end_user.dta", clear

drop if HIQUL11D == -9

keep HIQUL11D SEX AGE CRYOX7 PWT18 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL11D LEVQUL
drop if CRYOX7 == 926 | CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2
drop if _merge2 == 2
drop if _merge1 == 2
drop if COUNTRY == "ENGLAND"
drop if COUNTRY == "NORTHERN IRELAND"
drop if COUNTRY == "AT SEA"
drop if COUNTRY == "CHANNEL ISLANDS Not otherwise specified"
drop if COUNTRY == "GREAT BRITAIN NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "IN THE AIR"
drop if COUNTRY == "ISLE OF MAN"
drop if COUNTRY == "JERSEY"
drop if COUNTRY == "No answer"
drop if COUNTRY == "SCOTLAND"
drop if COUNTRY == "UNITED KINGDOM NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "WALES"
drop if COUNTRY == "GIBRALTAR"

drop if COUNTRY == "�AND ISLANDS"


replace Subgroup = 	"."	if COUNTRY == "AFRICA NOT OTHERWISE SPECIFIED |"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA AND OCEANIA NOT OTHERWISE .."				
replace Subgroup = 	"Central and South America"	if COUNTRY == "ANTIGUA AND BARBUDA"				
replace Subgroup = 	"."	if COUNTRY ==	"ASIA (EXCEPT MIDDLE EAST) NOT OTHERWISE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BAHAMAS, THE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BOLIVIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY == "BOSNIA AND HERZEGOVINA"				
replace Subgroup = 	"Sub-Saharan Africa" if COUNTRY ==	"BOUVET ISLAND"				
replace Subgroup = 	"."	if COUNTRY == "BRITISH INDIAN OCEAN TERRITORY"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BRUNEI"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"BURKINA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BURMA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"CANARY ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CARIBBEAN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CENTRAL AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"CHRISTMAS ISLAND"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"COCOS (KEELING) ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"DOMINICAN REPUBLIC"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"CONGO (DEMOCRATIC REPUBLIC)"				
replace Subgroup = 	"European Union Other"	if COUNTRY ==	"CYPRUS (EUROPEAN UNION)"				
replace Subgroup = 	"European Other"	if COUNTRY ==	"CYPRUS (NON-EUROPEAN UNION)"				
replace Subgroup = 	"European Other" 	if COUNTRY ==	"CYPRUS (NOT OTHERWISE SPECIFIED)"				
replace Subgroup = 	"European Union EU8 "	if COUNTRY ==	"CZECHOSLOVAKIA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"Does not apply"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"EAST TIMOR"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"EUROPE NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"FALKLAND ISLANDS"				
replace Subgroup = 	"."	if COUNTRY ==	"FAROE ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"FRENCH SOUTHERN TERRITORIES"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"				
replace Subgroup = 	"."	if COUNTRY ==	"HEARD ISLAND AND MCDONALD ISLANDS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REG.."				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"IRAN"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"IVORY COAST"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (NORTH)"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVA AND METOHIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"Kosovo"	
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVO"
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA"						
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"LAOS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"MACAO (SPECIAL ADMINISTRATIVE REGION OF"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MACEDONIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"MAYOTTE"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"MICRONESIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MOLDOVA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"Middle East NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"NETHERLANDS ANTILLES"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"PITCAIRN, HENDERSON, DUCIE AND OENO I.."				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"RUSSIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"R?NION"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SAO TOME AND PRINCIPE"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA AND MONTENEGRO NOT OTHERWISE S.."				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SOUTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"SOUTH GEORGIA AND THE SOUTH SANDWICH .."				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST HELENA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST KITTS AND NEVIS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST LUCIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST PIERRE AND MIQUELON"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST VINCENT AND THE GRENADINES"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SURINAM"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SVALBARD AND JAN MAYEN"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"SYRIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"St Martin"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"TANZANIA"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"TOKELAU"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TRINIDAD AND TOBAGO"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TURKS AND CAICOS ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"UNION OF SOVIET SOCIALIST REPUBLICS NOT"				
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES"	
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES VIRGIN ISLANDS"							
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES MINOR OUTLYING ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"VATICAN CITY"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"VIETNAM"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"WALLIS AND FUTUNA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) .."				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"YEMAN"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"YUGOSLAVIA NOT OTHERWISE SPECIFIED"				

drop if Subgroup == "." | Subgroup == ""

gen year=2014
gen quarter = `i'

save "$dir_data\2014q`i'_stock.dta", replace
}

append using "$dir_data\2014q1_stock.dta" "$dir_data\2014q2_stock.dta" "$dir_data\2014q3_stock.dta"
save "$dir_data\2014tot_stock.dta", replace

forval i = 1/4{

use "$dir_data\lfsp_q`i'15_eul.dta", clear

drop if HIQUL15D == -9

keep HIQUL15D SEX AGE CRYOX7 PWT18 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
drop if CRYOX7 == 926 | CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2
drop if _merge2 == 2
drop if _merge1 == 2
drop if COUNTRY == "ENGLAND"
drop if COUNTRY == "NORTHERN IRELAND"
drop if COUNTRY == "AT SEA"
drop if COUNTRY == "CHANNEL ISLANDS Not otherwise specified"
drop if COUNTRY == "GREAT BRITAIN NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "IN THE AIR"
drop if COUNTRY == "ISLE OF MAN"
drop if COUNTRY == "JERSEY"
drop if COUNTRY == "No answer"
drop if COUNTRY == "SCOTLAND"
drop if COUNTRY == "UNITED KINGDOM NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "WALES"
drop if COUNTRY == "GIBRALTAR"

drop if COUNTRY == "�AND ISLANDS"


replace Subgroup = 	"."	if COUNTRY == "AFRICA NOT OTHERWISE SPECIFIED |"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA AND OCEANIA NOT OTHERWISE .."				
replace Subgroup = 	"Central and South America"	if COUNTRY == "ANTIGUA AND BARBUDA"				
replace Subgroup = 	"."	if COUNTRY ==	"ASIA (EXCEPT MIDDLE EAST) NOT OTHERWISE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BAHAMAS, THE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BOLIVIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY == "BOSNIA AND HERZEGOVINA"				
replace Subgroup = 	"Sub-Saharan Africa" if COUNTRY ==	"BOUVET ISLAND"				
replace Subgroup = 	"."	if COUNTRY == "BRITISH INDIAN OCEAN TERRITORY"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BRUNEI"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"BURKINA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BURMA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"CANARY ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CARIBBEAN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CENTRAL AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"CHRISTMAS ISLAND"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"COCOS (KEELING) ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"DOMINICAN REPUBLIC"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"CONGO (DEMOCRATIC REPUBLIC)"				
replace Subgroup = 	"European Union Other"	if COUNTRY ==	"CYPRUS (EUROPEAN UNION)"				
replace Subgroup = 	"European Other"	if COUNTRY ==	"CYPRUS (NON-EUROPEAN UNION)"				
replace Subgroup = 	"European Other" 	if COUNTRY ==	"CYPRUS (NOT OTHERWISE SPECIFIED)"				
replace Subgroup = 	"European Union EU8 "	if COUNTRY ==	"CZECHOSLOVAKIA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"Does not apply"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"EAST TIMOR"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"EUROPE NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"FALKLAND ISLANDS"				
replace Subgroup = 	"."	if COUNTRY ==	"FAROE ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"FRENCH SOUTHERN TERRITORIES"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"				
replace Subgroup = 	"."	if COUNTRY ==	"HEARD ISLAND AND MCDONALD ISLANDS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REG.."				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"IRAN"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"IVORY COAST"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (NORTH)"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVA AND METOHIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"Kosovo"	
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVO"
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA"						
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"LAOS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"MACAO (SPECIAL ADMINISTRATIVE REGION OF"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MACEDONIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"MAYOTTE"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"MICRONESIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MOLDOVA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"Middle East NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"NETHERLANDS ANTILLES"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"PITCAIRN, HENDERSON, DUCIE AND OENO I.."				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"RUSSIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"R?NION"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SAO TOME AND PRINCIPE"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA AND MONTENEGRO NOT OTHERWISE S.."				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SOUTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"SOUTH GEORGIA AND THE SOUTH SANDWICH .."				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST HELENA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST KITTS AND NEVIS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST LUCIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST PIERRE AND MIQUELON"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST VINCENT AND THE GRENADINES"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SURINAM"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SVALBARD AND JAN MAYEN"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"SYRIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"St Martin"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"TANZANIA"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"TOKELAU"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TRINIDAD AND TOBAGO"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TURKS AND CAICOS ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"UNION OF SOVIET SOCIALIST REPUBLICS NOT"				
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES"	
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES VIRGIN ISLANDS"							
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES MINOR OUTLYING ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"VATICAN CITY"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"VIETNAM"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"WALLIS AND FUTUNA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) .."				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"YEMAN"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"YUGOSLAVIA NOT OTHERWISE SPECIFIED"				

//I run the dofile "country-nat"
drop if Subgroup == "." | Subgroup == ""
//everything's ok

gen year=2015
gen quarter = `i'

save "$dir_data\2015q`i'_stock.dta", replace
}

append using "$dir_data\2015q1_stock.dta" "$dir_data\2015q2_stock.dta" "$dir_data\2015q3_stock.dta"
save "$dir_data\2015tot_stock.dta", replace

forval i = 1/4{

use "$dir_data\lfsp_q`i'16_eul.dta", clear

drop if HIQUL15D == -9

keep HIQUL15D SEX AGE CRYOX7 PWT18 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
drop if CRYOX7 == 926 | CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2
drop if _merge2 == 2
drop if _merge1 == 2
drop if COUNTRY == "ENGLAND"
drop if COUNTRY == "NORTHERN IRELAND"
drop if COUNTRY == "AT SEA"
drop if COUNTRY == "CHANNEL ISLANDS Not otherwise specified"
drop if COUNTRY == "GREAT BRITAIN NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "IN THE AIR"
drop if COUNTRY == "ISLE OF MAN"
drop if COUNTRY == "JERSEY"
drop if COUNTRY == "No answer"
drop if COUNTRY == "SCOTLAND"
drop if COUNTRY == "UNITED KINGDOM NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "WALES"
drop if COUNTRY == "GIBRALTAR"

drop if COUNTRY == "�AND ISLANDS"


replace Subgroup = 	"."	if COUNTRY == "AFRICA NOT OTHERWISE SPECIFIED |"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA AND OCEANIA NOT OTHERWISE .."				
replace Subgroup = 	"Central and South America"	if COUNTRY == "ANTIGUA AND BARBUDA"				
replace Subgroup = 	"."	if COUNTRY ==	"ASIA (EXCEPT MIDDLE EAST) NOT OTHERWISE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BAHAMAS, THE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BOLIVIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY == "BOSNIA AND HERZEGOVINA"				
replace Subgroup = 	"Sub-Saharan Africa" if COUNTRY ==	"BOUVET ISLAND"				
replace Subgroup = 	"."	if COUNTRY == "BRITISH INDIAN OCEAN TERRITORY"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BRUNEI"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"BURKINA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BURMA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"CANARY ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CARIBBEAN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CENTRAL AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"CHRISTMAS ISLAND"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"COCOS (KEELING) ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"DOMINICAN REPUBLIC"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"CONGO (DEMOCRATIC REPUBLIC)"				
replace Subgroup = 	"European Union Other"	if COUNTRY ==	"CYPRUS (EUROPEAN UNION)"				
replace Subgroup = 	"European Other"	if COUNTRY ==	"CYPRUS (NON-EUROPEAN UNION)"				
replace Subgroup = 	"European Other" 	if COUNTRY ==	"CYPRUS (NOT OTHERWISE SPECIFIED)"				
replace Subgroup = 	"European Union EU8 "	if COUNTRY ==	"CZECHOSLOVAKIA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"Does not apply"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"EAST TIMOR"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"EUROPE NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"FALKLAND ISLANDS"				
replace Subgroup = 	"."	if COUNTRY ==	"FAROE ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"FRENCH SOUTHERN TERRITORIES"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"				
replace Subgroup = 	"."	if COUNTRY ==	"HEARD ISLAND AND MCDONALD ISLANDS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REG.."				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"IRAN"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"IVORY COAST"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (NORTH)"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVA AND METOHIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"Kosovo"	
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVO"
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA"						
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"LAOS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"MACAO (SPECIAL ADMINISTRATIVE REGION OF"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MACEDONIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"MAYOTTE"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"MICRONESIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MOLDOVA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"Middle East NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"NETHERLANDS ANTILLES"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"PITCAIRN, HENDERSON, DUCIE AND OENO I.."				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"RUSSIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"R?NION"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SAO TOME AND PRINCIPE"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA AND MONTENEGRO NOT OTHERWISE S.."				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SOUTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"SOUTH GEORGIA AND THE SOUTH SANDWICH .."				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST HELENA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST KITTS AND NEVIS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST LUCIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST PIERRE AND MIQUELON"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST VINCENT AND THE GRENADINES"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SURINAM"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SVALBARD AND JAN MAYEN"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"SYRIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"St Martin"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"TANZANIA"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"TOKELAU"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TRINIDAD AND TOBAGO"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TURKS AND CAICOS ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"UNION OF SOVIET SOCIALIST REPUBLICS NOT"				
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES"	
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES VIRGIN ISLANDS"							
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES MINOR OUTLYING ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"VATICAN CITY"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"VIETNAM"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"WALLIS AND FUTUNA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) .."				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"YEMAN"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"YUGOSLAVIA NOT OTHERWISE SPECIFIED"				

drop if Subgroup == "." | Subgroup == ""

gen year=2016
gen quarter = `i'

save "$dir_data\2016q`i'_stock.dta", replace
}

append using "$dir_data\2016q1_stock.dta" "$dir_data\2016q2_stock.dta" "$dir_data\2016q3_stock.dta"
save "$dir_data\2016tot_stock.dta", replace

forval i = 1/2{

use "$dir_data\lfsp_q`i'17_eul.dta", clear

drop if HIQUL15D == -9

keep HIQUL15D SEX AGE CRYOX7 PWT18 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
drop if CRYOX7 == 926 | CRYOX7 < 0
gen NATOX7 = CRYOX7

merge m:1 NATOX7 using "$dir_data\Data\codebook.dta", keepusing(COUNTRY)generate(_merge1)
drop if _merge1 != 3
merge m:1 COUNTRY using "$dir_data\Data\nationalities.dta", keepusing(Subgroup) generate(_merge2)
drop if _merge2 == 2
drop if _merge2 == 2
drop if _merge1 == 2
drop if COUNTRY == "ENGLAND"
drop if COUNTRY == "NORTHERN IRELAND"
drop if COUNTRY == "AT SEA"
drop if COUNTRY == "CHANNEL ISLANDS Not otherwise specified"
drop if COUNTRY == "GREAT BRITAIN NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "IN THE AIR"
drop if COUNTRY == "ISLE OF MAN"
drop if COUNTRY == "JERSEY"
drop if COUNTRY == "No answer"
drop if COUNTRY == "SCOTLAND"
drop if COUNTRY == "UNITED KINGDOM NOT OTHERWISE SPECIFIED"
drop if COUNTRY == "WALES"
drop if COUNTRY == "GIBRALTAR"

drop if COUNTRY == "�AND ISLANDS"


replace Subgroup = 	"."	if COUNTRY == "AFRICA NOT OTHERWISE SPECIFIED |"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA"				
replace Subgroup = 	"Oceania"	if COUNTRY == "ANTARCTICA AND OCEANIA NOT OTHERWISE .."				
replace Subgroup = 	"Central and South America"	if COUNTRY == "ANTIGUA AND BARBUDA"				
replace Subgroup = 	"."	if COUNTRY ==	"ASIA (EXCEPT MIDDLE EAST) NOT OTHERWISE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BAHAMAS, THE"				
replace Subgroup = 	"Central and South America"	if COUNTRY == "BOLIVIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY == "BOSNIA AND HERZEGOVINA"				
replace Subgroup = 	"Sub-Saharan Africa" if COUNTRY ==	"BOUVET ISLAND"				
replace Subgroup = 	"."	if COUNTRY == "BRITISH INDIAN OCEAN TERRITORY"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BRUNEI"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"BURKINA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"BURMA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"CANARY ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CARIBBEAN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"CENTRAL AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"CHINA (TAIWAN)"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"CHRISTMAS ISLAND"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"COCOS (KEELING) ISLANDS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"DOMINICAN REPUBLIC"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"CONGO (DEMOCRATIC REPUBLIC)"				
replace Subgroup = 	"European Union Other"	if COUNTRY ==	"CYPRUS (EUROPEAN UNION)"				
replace Subgroup = 	"European Other"	if COUNTRY ==	"CYPRUS (NON-EUROPEAN UNION)"				
replace Subgroup = 	"European Other" 	if COUNTRY ==	"CYPRUS (NOT OTHERWISE SPECIFIED)"				
replace Subgroup = 	"European Union EU8 "	if COUNTRY ==	"CZECHOSLOVAKIA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"Does not apply"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"EAST TIMOR"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"EUROPE NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"FALKLAND ISLANDS"				
replace Subgroup = 	"."	if COUNTRY ==	"FAROE ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"FRENCH SOUTHERN TERRITORIES"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"GAMBIA, THE"				
replace Subgroup = 	"."	if COUNTRY ==	"HEARD ISLAND AND MCDONALD ISLANDS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REG.."				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"HONG KONG (SPECIAL ADMINISTRATIVE REGION"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"IRAN"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"IVORY COAST"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (NORTH)"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"KOREA (SOUTH)"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVA AND METOHIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"Kosovo"	
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"KOSOVO"
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA"						
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"LAOS"				
replace Subgroup = 	"East Asia"	if COUNTRY ==	"MACAO (SPECIAL ADMINISTRATIVE REGION OF"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MACEDONIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"MAYOTTE"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"MICRONESIA"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"MOLDOVA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"Middle East NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"NETHERLANDS ANTILLES"				
replace Subgroup = 	"North America"	if COUNTRY ==	"NORTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"PITCAIRN, HENDERSON, DUCIE AND OENO I.."				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"RUSSIA"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"R?NION"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SAO TOME AND PRINCIPE"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SERBIA AND MONTENEGRO NOT OTHERWISE S.."				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SOUTH AMERICA NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"."	if COUNTRY ==	"SOUTH GEORGIA AND THE SOUTH SANDWICH .."				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN (EXCEPT CANARY ISLANDS)"				
replace Subgroup = 	"European Union EU15 "	if COUNTRY ==	"SPAIN NOT OTHERWISE SPECIFIED"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST HELENA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST KITTS AND NEVIS"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST LUCIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST PIERRE AND MIQUELON"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"ST VINCENT AND THE GRENADINES"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"SURINAM"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"SVALBARD AND JAN MAYEN"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"SYRIA"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"St Martin"				
replace Subgroup = 	"Sub-Saharan Africa"	if COUNTRY ==	"TANZANIA"				
replace Subgroup = 	"Oceania"	if COUNTRY ==	"TOKELAU"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TRINIDAD AND TOBAGO"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"TURKS AND CAICOS ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"UNION OF SOVIET SOCIALIST REPUBLICS NOT"				
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES"	
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES VIRGIN ISLANDS"							
replace Subgroup = 	"North America"	if COUNTRY ==	"UNITED STATES MINOR OUTLYING ISLANDS"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"VATICAN CITY"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"VENEZUELA"				
replace Subgroup = 	"South East Asia "	if COUNTRY ==	"VIETNAM"				
replace Subgroup = 	"Central and South America"	if COUNTRY ==	"WALLIS AND FUTUNA"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) .."				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"WEST BANK (INCLUDING EAST JERUSALEM) AND"				
replace Subgroup = 	"Middle East and Central Asia"	if COUNTRY ==	"YEMAN"				
replace Subgroup = 	"Other Europe"	if COUNTRY ==	"YUGOSLAVIA NOT OTHERWISE SPECIFIED"				

drop if Subgroup == "." | Subgroup == ""

gen year=2017
gen quarter = `i'

save "$dir_data\2017q`i'_stock.dta", replace
}

forval i = 3/4{

use "$dir_data\lfsp_q`i'17_eul.dta", clear

drop if HIQUL15D == -9

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
drop if CRYOX7_EUL_Sub == 1 | CRYOX7_EUL_Sub < 0
gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15
		

drop if Subgroup == "." | Subgroup == ""

gen year=2017
gen quarter = `i'

save "$dir_data\2017q`i'_stock.dta", replace
}


append using "$dir_data\2017q1_stock.dta" "$dir_data\2017q2_stock.dta" "$dir_data\2017q3_stock.dta"
save "$dir_data\2017tot_stock.dta", replace

forval i = 1/4{

use "$dir_data\lfsp_q`i'18_eul.dta", clear

drop if HIQUL15D == -9

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
drop if CRYOX7_EUL_Sub == 1 | CRYOX7_EUL_Sub < 0
gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15
		

drop if Subgroup == "." | Subgroup == ""

gen year=2018
gen quarter = `i'

save "$dir_data\2018q`i'_stock.dta", replace
}


append using "$dir_data\2018q1_stock.dta" "$dir_data\2018q2_stock.dta" "$dir_data\2018q3_stock.dta"
save "$dir_data\2018tot_stock.dta", replace


forval i = 1/4{

use "$dir_data\lfsp_q`i'19_eul.dta", clear

drop if HIQUL15D == -9

keep HIQUL15D SEX AGE CRYOX7_EUL_Sub PWT18 EDAGE SC10MMJ URESMC INDE07M
rename HIQUL15D LEVQUL
drop if CRYOX7_EUL_Sub == 1 | CRYOX7_EUL_Sub < 0
gen Subgroup = "European Union EU15"
replace Subgroup = "European Union EU8" if CRYOX7_EUL_Sub == 3
replace Subgroup = "European Union EU2" if CRYOX7_EUL_Sub == 4
replace Subgroup = "European Union Other" if CRYOX7_EUL_Sub == 5
replace Subgroup = "Other Europe" if CRYOX7_EUL_Sub == 6
replace Subgroup = "Middle East and Central Asia" if CRYOX7_EUL_Sub == 7
replace Subgroup = "East Asia" if CRYOX7_EUL_Sub == 8
replace Subgroup = "South Asia" if CRYOX7_EUL_Sub == 9
replace Subgroup = "South East Asia" if CRYOX7_EUL_Sub == 10
replace Subgroup = "Sub-Saharan Africa" if CRYOX7_EUL_Sub == 11
replace Subgroup = "North Africa" if CRYOX7_EUL_Sub == 12
replace Subgroup = "North America" if CRYOX7_EUL_Sub == 13
replace Subgroup = "Central and South America" if CRYOX7_EUL_Sub == 14
replace Subgroup = "Oceania" if CRYOX7_EUL_Sub == 15
		
drop if Subgroup == "." | Subgroup == ""

gen year=2019
gen quarter = `i'

save "C:\Users\valen\Dropbox\UK LFS\2019\2019q`i'_stock.dta", replace
}


append using "$dir_data\2019q1_stock.dta" "$dir_data\2019q2_stock.dta" "$dir_data\2019q3_stock.dta"
save "$dir_data\2019tot_stock.dta", replace


append using  "$dir_data\2012q4_stock.dta" "$dir_data\2013tot_stock.dta" "$dir_data\2014tot_stock.dta" "$dir_data\2015tot_stock.dta" ///
"$dir_data\2016tot_stock.dta" "$dir_data\2017tot_stock.dta" "$dir_data\2018tot_stock.dta" 

keep AGE EDAGE LEVQUL PWT18 SEX year quarter Subgroup SC10MMJ URESMC INDE07M

tab year

gen month = "Mar" 
replace month = "Jun" if quarter == 2
replace month = "Sep" if quarter == 3
replace month = "Dec" if quarter == 4

tostring year, gen(yr)

gen time = month+yr

br

save "$dir_data\UKLFS_stocks.dta", replace

//Building the main variables

gen nweight = 1

gen female = 1 if SEX == 2
gen male = 1 if female == .

gen young = 1
replace young = 0 if AGE > 39

tab young

gen old = 1 if young == 0
replace old = 0 if young == 1

tab old

gen hig_qual = 1 if LEVQUL == 1
replace hig_qual = 0 if hig_qual == .
gen low_qual = 1 if LEVQUL != 1

gen hig_qual_alt = 1 if EDAGE > 20
replace hig_qual_alt = 0 if hig_qual_alt == .
replace hig_qual_alt = 0 if EDAGE == 96

tab hig_qual
tab hig_qual_alt

tab hig_qual hig_qual_alt

gen low_qual_alt = 1 if hig_qual_alt == 0

gen high_pro = 1 if SC10MMJ == 1 | SC10MMJ == 2 | SC10MMJ == 3
replace high_pro = 0 if SC10MMJ > 3 & SC10MMJ < 10

gen low_pro = 1 if SC10MMJ > 3 & SC10MMJ < 10
replace low_pro = 0 if SC10MMJ == 1 | SC10MMJ == 2 | SC10MMJ == 3

numlabel, add
tab URESMC

gen london = 0
replace london = 1 if URESMC == 8 | URESMC == 9

gen south_east = 0
replace south_east = 1 if URESMC == 10 

gen region_rest = 0
replace region_rest = 1 if URESMC != 8 & URESMC != 9 & URESMC != 10

tab INDE07M

gen manufactury = 0
replace manufactury = 1 if INDE07M == 3
replace manufactury = . if INDE07M < 1

gen construction = 0
replace construction = 1 if INDE07M == 4
replace construction = . if INDE07M < 1

gen hospitality = 0
replace hospitality = 1 if INDE07M == 5
replace hospitality = . if INDE07M < 1

gen finance = 0
replace finance = 1 if INDE07M == 7
replace finance = . if INDE07M < 1

gen admin = 0
replace admin = 1 if INDE07M == 8
replace admin = . if INDE07M < 1

gen sec_rest = 0
replace sec_rest = 1 if INDE07M != 8 & INDE07M != 7 & INDE07M != 5 & INDE07M != 4 & INDE07M != 3 
replace sec_rest = . if INDE07M < 1


foreach var in hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro london south_east region_rest manufactury construction hospitality finance admin sec_rest{
gen w_`var' = PWT18*`var'
}

//Making sure to have 14 sub-regions
tab Subgroup

replace Subgroup = "European Union EU15" if Subgroup == "European Union EU15 "
replace Subgroup = "European Union EU8" if Subgroup == "European Union EU8 "
replace Subgroup = "South East Asia" if Subgroup == "South East Asia "
replace Subgroup = "South East Asia" if Subgroup == "South East Asia "
replace Subgroup = "Other Europe" if Subgroup == "European Other"


collapse (sum) nweight hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro london south_east region_rest manufactury construction hospitality finance admin sec_rest ///
PWT18 w_hig_qual w_low_qual w_hig_qual_alt w_low_qual_alt w_female w_male w_young w_old w_high_pro w_low_pro w_london w_south_east w_region_rest w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest, by(Subgroup time)

insobs 4, before(1)
replace Subgroup = "European Union EU15" in 1
replace Subgroup = "European Union EU15" in 2
replace Subgroup = "European Union EU15" in 3
replace Subgroup = "European Union EU15" in 4

replace time = "Dec2011" in 3
replace time = "Jun2012" in 2
replace time = "Sep2012" in 1
replace time = "Mar2012" in 4

fillin Subgroup time

gen date = date(time, "MY")
sysdir set PLUS "C:\Users\valen\Dropbox\Work"

labmask date, values(time)

//I drop Mar 2020 (we want to avoid to include it for the Covid)
drop if date == 21975


// I create a balanced panel

foreach var in nweight PWT18 hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro london south_east region_rest manufactury construction hospitality finance admin sec_rest ///
w_hig_qual w_low_qual w_hig_qual_alt w_low_qual_alt w_female w_male w_young w_old w_high_pro w_low_pro w_london w_south_east w_region_rest w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest{
replace `var' = 0 if _fillin == 1 
}

foreach var in nweight PWT18 hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro hig_qual low_qual hig_qual_alt low_qual_alt female male young old high_pro low_pro london south_east region_rest manufactury construction hospitality finance admin sec_rest ///
w_hig_qual w_low_qual w_hig_qual_alt w_low_qual_alt w_female w_male w_young w_old w_high_pro w_low_pro w_london w_south_east w_region_rest w_manufactury w_construction w_hospitality w_finance w_admin w_sec_rest{
replace `var' = . if date < 19328
}

gen EU = 0
replace EU = 1 if Subgroup == "European Union EU15" |  Subgroup == "European Union EU8" |  Subgroup == "European Union EU2" |  Subgroup == "European Union Other"

tab EU
tab Subgroup if EU == 1
tab Subgroup if EU == 0

gen post_ref = 1
replace post_ref = 0 if date < 20607

rename time Quarter

egen time = group(date)

egen NATOX7 = group(Subgroup)
xtset NATOX7 time

set more off, permanently

gen treat_post = EU*post_ref
gen year = substr(Quarter, 4,4)


label variable post_ref "Post_ref"
label variable treat_post "EU*post_ref"

save "$dir_data\UKLFS_stocks.dta", replace


